summaryrefslogtreecommitdiffstats
path: root/system/bootchart/mkchartrd
diff options
context:
space:
mode:
author Marco Cecchetti <mrc.ildp@gmail.com>2010-05-13 00:39:44 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:39:44 +0200
commitf488907e3a9f6e6239290b1a74343347ce070c12 (patch)
tree722297478cb7f3b807b329ee076b078234d81b7c /system/bootchart/mkchartrd
parent8b34488c142c5fefc60e2483fc9503ba0709d8e8 (diff)
downloadslackbuilds-f488907e3a9f6e6239290b1a74343347ce070c12.tar.gz
slackbuilds-f488907e3a9f6e6239290b1a74343347ce070c12.tar.xz
system/bootchart: Updated for version 0.9
Diffstat (limited to '')
-rw-r--r--system/bootchart/mkchartrd15
1 files changed, 15 insertions, 0 deletions
diff --git a/system/bootchart/mkchartrd b/system/bootchart/mkchartrd
new file mode 100644
index 0000000000..cdf9b602b9
--- /dev/null
+++ b/system/bootchart/mkchartrd
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+mkinitrd $@ -o /boot/initrd.chart.gz
+
+cd /boot
+sed -i s/"sbin\/init"/"sbin\/bootchartd"/g /boot/initrd-tree/init
+OPTIONS=`echo $@|sed s/"-c"/""/`
+
+mkinitrd $OPTIONS -o /boot/initrd.chart.gz
+
+
+
+